Subject: Re: [ANNOUNCE] GIT 0.99.9g

From: Andreas Ericsson <[email-masked]>
Date: Thu, 10 Nov 2005 21:30:58 +0100

Jim Radford wrote:
> On Thu, Nov 10, 2005 at 12:14:29AM -0800, Junio C Hamano wrote:
> 
>>   I think archimport part needs to be split out just like its
>>   svn/cvs cousins,
> 
> 
> I don't agree.  The chance of running git-archimport and not having
> arch installed is significantly less likely than the chance of not
> noticing that the git-archimport program exists because it was moved
> into a separate package that you didn't know you needed to install in
> the first place.
> 

How is this different for when svnimport and cvsimport was moved out? I 
don't think anyone expected people to run those commands by accident 
without noticing that they fail without the svn || cvs installed underneath.

> The main reason I see for splitting cvs and email import out is the
> non-standard dependencies, cvsps and perl(Email::Valid).

Define "non-standard". String::ShellQuote isn't installed by default on 
Fedora Core 3 but is required by git-archimport.

>  While for
> svn import it's to keep from requiring subversion-perl of everone who
> installs git-core.  This dependency is added automatically, so you
> cannot easily just ignore it like you can in the arch/tla case.
> 

It's fairly simple to provide a custom find-requires script.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231